---
  - name: Add funkwhale user
    ansible.builtin.user:
      name: "{{ funkwhale_user_name }}"
      create_home: true
      home: "{{ funkwhale_host_base_path }}"
      shell: "/bin/bash"
      system: true
      #group: "{{ funkwhale_user_name }}"
    register: funkwhale_user

  - name: create directory for funkwhale config
    file:
      path: '{{ funkwhale_host_base_path }}/{{ item }}'
      state: directory
      #owner: root
      owner: "{{ funkwhale_user.name }}"
      #group: "{{ funkwhale_user.group }}"
      mode: '0700'
    with_items:
      - 
      - data
      - data/static
      - data/music
      - front
      - front/dist
  
  - name: create media directory for funkwhale
    file:
      path: '{{ funkwhale_host_base_path }}/{{ item }}'
      state: directory
      #owner: root
      owner: "{{ funkwhale_user.name }}"
      #group: "{{ funkwhale_user.group }}"
      mode: '0777'
    with_items:
      - data/media
  
#  - name: download compose file
#    ansible.builtin.get_url:
#      url: "https://dev.funkwhale.audio/funkwhale/funkwhale/raw/{{ funkwhale_version }}/deploy/docker-compose.yml"
  
#  - name: download compose file
#    ansible.builtin.get_url:
#      url: "https://dev.funkwhale.audio/funkwhale/funkwhale/raw/{{ funkwhale_version }}/deploy/docker-compose.yml"
#      dest: "{{ funkwhale_host_base_path }}/docker-compose.yml"
#      mode: '0440'

  - name: template docker compose config
    ansible.builtin.template:
      src: "docker-compose.yml"
      dest: "{{ funkwhale_host_base_path }}/docker-compose.yml"
      owner: "{{ funkwhale_user.name }}"
      mode: 600

  - name: template env config
    ansible.builtin.template:
      src: "env.template"
      dest: "{{ funkwhale_host_base_path }}/.env"
      owner: "{{ funkwhale_user.name }}"
      mode: 600
  
#  - name: template traefik config
#    ansible.builtin.template:
#      src: "traefik_funkwhale_router.yml"
#      dest: "{{ traefik_config_path }}/funkwhale_router.yml"

#  - name: install compose pip module
#    ansible.builtin.pip:
#      name:
#        #        - setuptools
#        - docker-compose

#  - name: download all containers
#    community.docker.docker_compose:
#      project_src: "{{ funkwhale_host_base_path }}/"
#      pull: true
